---

- name: Create the Restic configuration directory
  ansible.builtin.file:
    path: "{{ restic_configuration_directory }}"
    state: directory
    mode: '0755'
    owner: "{{ restic_configuration_owner }}"
    group: "{{ restic_configuration_group }}"
  become: yes

- name: Store the playbook-prompted passphrase if there isn't one
  ansible.builtin.copy:
    content: "{{ restic_passphrase_initial }}"
    dest: "{{ restic_passphrase_path }}"
    owner: "{{ restic_configuration_owner }}"
    group: "{{ restic_configuration_group }}"
    mode: '0400'
    force: no
  become: yes
